
  var Module = typeof Module !== 'undefined' ? Module : {};

  if (!Module.expectedDataFileDownloads) {
    Module.expectedDataFileDownloads = 0;
  }

  Module.expectedDataFileDownloads++;
  (function() {
    // When running as a pthread, FS operations are proxied to the main thread, so we don't need to
    // fetch the .data bundle on the worker
    if (Module['ENVIRONMENT_IS_PTHREAD']) return;
    var loadPackage = function(metadata) {

      var PACKAGE_PATH = '';
      if (typeof window === 'object') {
        PACKAGE_PATH = window['encodeURIComponent'](window.location.pathname.toString().substring(0, window.location.pathname.toString().lastIndexOf('/')) + '/');
      } else if (typeof process === 'undefined' && typeof location !== 'undefined') {
        // web worker
        PACKAGE_PATH = encodeURIComponent(location.pathname.toString().substring(0, location.pathname.toString().lastIndexOf('/')) + '/');
      }
      var PACKAGE_NAME = 'rocksndiamonds.data';
      var REMOTE_PACKAGE_BASE = 'rocksndiamonds.data';
      if (typeof Module['locateFilePackage'] === 'function' && !Module['locateFile']) {
        Module['locateFile'] = Module['locateFilePackage'];
        err('warning: you defined Module.locateFilePackage, that has been renamed to Module.locateFile (using your locateFilePackage for now)');
      }
      var REMOTE_PACKAGE_NAME = Module['locateFile'] ? Module['locateFile'](REMOTE_PACKAGE_BASE, '') : REMOTE_PACKAGE_BASE;

      var REMOTE_PACKAGE_SIZE = metadata['remote_package_size'];
      var PACKAGE_UUID = metadata['package_uuid'];

      function fetchRemotePackage(packageName, packageSize, callback, errback) {
        if (typeof process === 'object' && typeof process.versions === 'object' && typeof process.versions.node === 'string') {
          require('fs').readFile(packageName, function(err, contents) {
            if (err) {
              errback(err);
            } else {
              callback(contents.buffer);
            }
          });
          return;
        }
        var xhr = new XMLHttpRequest();
        xhr.open('GET', packageName, true);
        xhr.responseType = 'arraybuffer';
        xhr.onprogress = function(event) {
          var url = packageName;
          var size = packageSize;
          if (event.total) size = event.total;
          if (event.loaded) {
            if (!xhr.addedTotal) {
              xhr.addedTotal = true;
              if (!Module.dataFileDownloads) Module.dataFileDownloads = {};
              Module.dataFileDownloads[url] = {
                loaded: event.loaded,
                total: size
              };
            } else {
              Module.dataFileDownloads[url].loaded = event.loaded;
            }
            var total = 0;
            var loaded = 0;
            var num = 0;
            for (var download in Module.dataFileDownloads) {
            var data = Module.dataFileDownloads[download];
              total += data.total;
              loaded += data.loaded;
              num++;
            }
            total = Math.ceil(total * Module.expectedDataFileDownloads/num);
            if (Module['setStatus']) Module['setStatus']('Downloading data... (' + loaded + '/' + total + ')');
          } else if (!Module.dataFileDownloads) {
            if (Module['setStatus']) Module['setStatus']('Downloading data...');
          }
        };
        xhr.onerror = function(event) {
          throw new Error("NetworkError for: " + packageName);
        }
        xhr.onload = function(event) {
          if (xhr.status == 200 || xhr.status == 304 || xhr.status == 206 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            var packageData = xhr.response;
            callback(packageData);
          } else {
            throw new Error(xhr.statusText + " : " + xhr.responseURL);
          }
        };
        xhr.send(null);
      };

      function handleError(error) {
        console.error('package error:', error);
      };

      var fetchedCallback = null;
      var fetched = Module['getPreloadedPackage'] ? Module['getPreloadedPackage'](REMOTE_PACKAGE_NAME, REMOTE_PACKAGE_SIZE) : null;

      if (!fetched) fetchRemotePackage(REMOTE_PACKAGE_NAME, REMOTE_PACKAGE_SIZE, function(data) {
        if (fetchedCallback) {
          fetchedCallback(data);
          fetchedCallback = null;
        } else {
          fetched = data;
        }
      }, handleError);

    function runWithFS() {

      function assert(check, msg) {
        if (!check) throw msg + new Error().stack;
      }
Module['FS_createPath']("/", "conf", true, true);
Module['FS_createPath']("/", "docs", true, true);
Module['FS_createPath']("/docs", "credits", true, true);
Module['FS_createPath']("/docs", "elements", true, true);
Module['FS_createPath']("/docs", "program", true, true);
Module['FS_createPath']("/", "levels", true, true);
Module['FS_createPath']("/levels", "Classic_Games", true, true);
Module['FS_createPath']("/levels/Classic_Games", "classic_boulderdash", true, true);
Module['FS_createPath']("/levels/Classic_Games", "classic_supaplex", true, true);
Module['FS_createPath']("/levels/Classic_Games", "classic_emerald_mine", true, true);
Module['FS_createPath']("/levels/Classic_Games", "classic_sokoban", true, true);
Module['FS_createPath']("/levels/Classic_Games/classic_sokoban", "tapes", true, true);
Module['FS_createPath']("/levels", "Tutorials", true, true);
Module['FS_createPath']("/levels/Tutorials", "rnd_tutorial_niko_boehm", true, true);
Module['FS_createPath']("/levels/Tutorials/rnd_tutorial_niko_boehm", "tapes", true, true);
Module['FS_createPath']("/levels/Tutorials", "rnd_tutorial_aaron_davidson", true, true);
Module['FS_createPath']("/levels/Tutorials/rnd_tutorial_aaron_davidson", "tapes", true, true);
Module['FS_createPath']("/", "graphics", true, true);
Module['FS_createPath']("/graphics", "gfx_classic", true, true);
Module['FS_createPath']("/graphics/gfx_classic", "joystick", true, true);
Module['FS_createPath']("/graphics/gfx_classic", "icons", true, true);
Module['FS_createPath']("/", "sounds", true, true);
Module['FS_createPath']("/sounds", "snd_classic", true, true);
Module['FS_createPath']("/", "music", true, true);
Module['FS_createPath']("/music", "mus_classic", true, true);

      /** @constructor */
      function DataRequest(start, end, audio) {
        this.start = start;
        this.end = end;
        this.audio = audio;
      }
      DataRequest.prototype = {
        requests: {},
        open: function(mode, name) {
          this.name = name;
          this.requests[name] = this;
          Module['addRunDependency']('fp ' + this.name);
        },
        send: function() {},
        onload: function() {
          var byteArray = this.byteArray.subarray(this.start, this.end);
          this.finish(byteArray);
        },
        finish: function(byteArray) {
          var that = this;
          // canOwn this data in the filesystem, it is a slide into the heap that will never change
          Module['FS_createDataFile'](this.name, null, byteArray, true, true, true);
          Module['removeRunDependency']('fp ' + that.name);
          this.requests[this.name] = null;
        }
      };

      var files = metadata['files'];
      for (var i = 0; i < files.length; ++i) {
        new DataRequest(files[i]['start'], files[i]['end'], files[i]['audio'] || 0).open('GET', files[i]['filename']);
      }

      function processPackageData(arrayBuffer) {
        assert(arrayBuffer, 'Loading data file failed.');
        assert(arrayBuffer instanceof ArrayBuffer, 'bad input to processPackageData');
        var byteArray = new Uint8Array(arrayBuffer);
        var curr;
        // Reuse the bytearray from the XHR as the source for file reads.
          DataRequest.prototype.byteArray = byteArray;
          var files = metadata['files'];
          for (var i = 0; i < files.length; ++i) {
            DataRequest.prototype.requests[files[i].filename].onload();
          }          Module['removeRunDependency']('datafile_rocksndiamonds.data');

      };
      Module['addRunDependency']('datafile_rocksndiamonds.data');

      if (!Module.preloadResults) Module.preloadResults = {};

      Module.preloadResults[PACKAGE_NAME] = {fromCache: false};
      if (fetched) {
        processPackageData(fetched);
        fetched = null;
      } else {
        fetchedCallback = processPackageData;
      }

    }
    if (Module['calledRun']) {
      runWithFS();
    } else {
      if (!Module['preRun']) Module['preRun'] = [];
      Module["preRun"].push(runWithFS); // FS is not initialized yet, wait for it
    }

    }
    loadPackage({"files": [{"filename": "/conf/gamecontrollerdb.txt", "start": 0, "end": 47586}, {"filename": "/docs/credits/credits_8.txt", "start": 47586, "end": 47891}, {"filename": "/docs/credits/credits_1.txt", "start": 47891, "end": 48174}, {"filename": "/docs/credits/credits_2.txt", "start": 48174, "end": 48463}, {"filename": "/docs/credits/credits_5.txt", "start": 48463, "end": 48675}, {"filename": "/docs/credits/credits_9.txt", "start": 48675, "end": 48810}, {"filename": "/docs/credits/credits_3.txt", "start": 48810, "end": 49110}, {"filename": "/docs/credits/credits_7.txt", "start": 49110, "end": 49383}, {"filename": "/docs/credits/credits_6.txt", "start": 49383, "end": 49693}, {"filename": "/docs/credits/credits_4.txt", "start": 49693, "end": 49975}, {"filename": "/docs/elements/mm_steel_block.txt", "start": 49975, "end": 50060}, {"filename": "/docs/elements/mm_wooden_wall.txt", "start": 50060, "end": 50098}, {"filename": "/docs/elements/sp_port_any.txt", "start": 50098, "end": 50142}, {"filename": "/docs/elements/emc_lenses.txt", "start": 50142, "end": 50234}, {"filename": "/docs/elements/wall.txt", "start": 50234, "end": 50292}, {"filename": "/docs/elements/exit_open.txt", "start": 50292, "end": 50577}, {"filename": "/docs/elements/quicksand_fast_full.txt", "start": 50577, "end": 50690}, {"filename": "/docs/elements/empty_space.txt", "start": 50690, "end": 50755}, {"filename": "/docs/elements/trap.txt", "start": 50755, "end": 50907}, {"filename": "/docs/elements/sp_hardware_red.txt", "start": 50907, "end": 50976}, {"filename": "/docs/elements/amoeba_to_diamond.txt", "start": 50976, "end": 51057}, {"filename": "/docs/elements/emc_magic_ball.txt", "start": 51057, "end": 51412}, {"filename": "/docs/elements/dragon.txt", "start": 51412, "end": 51728}, {"filename": "/docs/elements/arrow_down.txt", "start": 51728, "end": 51812}, {"filename": "/docs/elements/sp_zonk.txt", "start": 51812, "end": 51943}, {"filename": "/docs/elements/acid.txt", "start": 51943, "end": 52210}, {"filename": "/docs/elements/emc_gate_6.txt", "start": 52210, "end": 52498}, {"filename": "/docs/elements/expandable_wall_any.txt", "start": 52498, "end": 52673}, {"filename": "/docs/elements/key_2.txt", "start": 52673, "end": 52846}, {"filename": "/docs/elements/sp_gravity_off_port.txt", "start": 52846, "end": 52947}, {"filename": "/docs/elements/mm_lightball.txt", "start": 52947, "end": 52997}, {"filename": "/docs/elements/em_gate_4_gray.txt", "start": 52997, "end": 53394}, {"filename": "/docs/elements/em_gate_2_gray.txt", "start": 53394, "end": 53791}, {"filename": "/docs/elements/player_2.txt", "start": 53791, "end": 53809}, {"filename": "/docs/elements/black_orb.txt", "start": 53809, "end": 53982}, {"filename": "/docs/elements/balloon_switch_down.txt", "start": 53982, "end": 54151}, {"filename": "/docs/elements/dark_yamyam.txt", "start": 54151, "end": 54298}, {"filename": "/docs/elements/unused.txt", "start": 54298, "end": 54314}, {"filename": "/docs/elements/bug.txt", "start": 54314, "end": 54507}, {"filename": "/docs/elements/bomb.txt", "start": 54507, "end": 54638}, {"filename": "/docs/elements/sp_murphy.txt", "start": 54638, "end": 54751}, {"filename": "/docs/elements/df_fibre_optic.txt", "start": 54751, "end": 54832}, {"filename": "/docs/elements/spring.txt", "start": 54832, "end": 54973}, {"filename": "/docs/elements/sp_chip_top.txt", "start": 54973, "end": 55020}, {"filename": "/docs/elements/char_space.txt", "start": 55020, "end": 55234}, {"filename": "/docs/elements/emc_key_8.txt", "start": 55234, "end": 55315}, {"filename": "/docs/elements/em_gate_1_gray.txt", "start": 55315, "end": 55712}, {"filename": "/docs/elements/penguin.txt", "start": 55712, "end": 56046}, {"filename": "/docs/elements/quicksand_empty.txt", "start": 56046, "end": 56248}, {"filename": "/docs/elements/conveyor_belt.txt", "start": 56248, "end": 56475}, {"filename": "/docs/elements/sp_base.txt", "start": 56475, "end": 56569}, {"filename": "/docs/elements/bd_amoeba.txt", "start": 56569, "end": 56925}, {"filename": "/docs/elements/df_steel_grid_fixed.txt", "start": 56925, "end": 57029}, {"filename": "/docs/elements/em_gate_4.txt", "start": 57029, "end": 57317}, {"filename": "/docs/elements/landmine.txt", "start": 57317, "end": 57442}, {"filename": "/docs/elements/gate_1.txt", "start": 57442, "end": 57507}, {"filename": "/docs/elements/expandable_wall_vertical.txt", "start": 57507, "end": 57722}, {"filename": "/docs/elements/df_wooden_grid_rotating.txt", "start": 57722, "end": 57831}, {"filename": "/docs/elements/mm_steel_wall.txt", "start": 57831, "end": 57869}, {"filename": "/docs/elements/arrow_right.txt", "start": 57869, "end": 57953}, {"filename": "/docs/elements/timegate_open.txt", "start": 57953, "end": 58011}, {"filename": "/docs/elements/nut.txt", "start": 58011, "end": 58092}, {"filename": "/docs/elements/dynabomb_increase_power.txt", "start": 58092, "end": 58541}, {"filename": "/docs/elements/sp_disk_orange.txt", "start": 58541, "end": 58609}, {"filename": "/docs/elements/crystal.txt", "start": 58609, "end": 58674}, {"filename": "/docs/elements/key_4.txt", "start": 58674, "end": 58847}, {"filename": "/docs/elements/balloon_switch_any.txt", "start": 58847, "end": 59240}, {"filename": "/docs/elements/emc_gate_8_gray.txt", "start": 59240, "end": 59637}, {"filename": "/docs/elements/df_laser.txt", "start": 59637, "end": 59741}, {"filename": "/docs/elements/current_ce_value.txt", "start": 59741, "end": 59970}, {"filename": "/docs/elements/mm_steel_lock.txt", "start": 59970, "end": 60090}, {"filename": "/docs/elements/mm_bomb.txt", "start": 60090, "end": 60177}, {"filename": "/docs/elements/arrow_left.txt", "start": 60177, "end": 60261}, {"filename": "/docs/elements/player_3.txt", "start": 60261, "end": 60279}, {"filename": "/docs/elements/game_of_life.txt", "start": 60279, "end": 60649}, {"filename": "/docs/elements/sp_chip_left.txt", "start": 60649, "end": 60696}, {"filename": "/docs/elements/trigger_element.txt", "start": 60696, "end": 60857}, {"filename": "/docs/elements/acid_pool_bottomright.txt", "start": 60857, "end": 60937}, {"filename": "/docs/elements/amoeba_dead.txt", "start": 60937, "end": 61082}, {"filename": "/docs/elements/mm_prism.txt", "start": 61082, "end": 61158}, {"filename": "/docs/elements/wall_emerald_yellow.txt", "start": 61158, "end": 61279}, {"filename": "/docs/elements/timegate_closed.txt", "start": 61279, "end": 61320}, {"filename": "/docs/elements/satellite.txt", "start": 61320, "end": 61699}, {"filename": "/docs/elements/sp_gravity_on_port.txt", "start": 61699, "end": 61799}, {"filename": "/docs/elements/dc_landmine.txt", "start": 61799, "end": 61975}, {"filename": "/docs/elements/char.txt", "start": 61975, "end": 62044}, {"filename": "/docs/elements/df_mine.txt", "start": 62044, "end": 62108}, {"filename": "/docs/elements/prev_ce.txt", "start": 62108, "end": 62291}, {"filename": "/docs/elements/df_steel_grid_rotating.txt", "start": 62291, "end": 62399}, {"filename": "/docs/elements/emc_magic_ball_switch.txt", "start": 62399, "end": 62462}, {"filename": "/docs/elements/mm_mcduffin.txt", "start": 62462, "end": 62630}, {"filename": "/docs/elements/steel_exit_closed.txt", "start": 62630, "end": 62881}, {"filename": "/docs/elements/gate_2_gray.txt", "start": 62881, "end": 62989}, {"filename": "/docs/elements/gate_4.txt", "start": 62989, "end": 63054}, {"filename": "/docs/elements/balloon_switch_up.txt", "start": 63054, "end": 63223}, {"filename": "/docs/elements/key_3.txt", "start": 63223, "end": 63396}, {"filename": "/docs/elements/sp_exit_closed.txt", "start": 63396, "end": 63524}, {"filename": "/docs/elements/balloon_switch_right.txt", "start": 63524, "end": 63693}, {"filename": "/docs/elements/sokoban_object.txt", "start": 63693, "end": 63863}, {"filename": "/docs/elements/timegate_switch.txt", "start": 63863, "end": 63993}, {"filename": "/docs/elements/dc_magic_wall.txt", "start": 63993, "end": 64514}, {"filename": "/docs/elements/em_steel_exit_open.txt", "start": 64514, "end": 64903}, {"filename": "/docs/elements/df_wooden_wall.txt", "start": 64903, "end": 64939}, {"filename": "/docs/elements/emc_gate_7.txt", "start": 64939, "end": 65227}, {"filename": "/docs/elements/balloon_switch_left.txt", "start": 65227, "end": 65396}, {"filename": "/docs/elements/df_steel_wall.txt", "start": 65396, "end": 65432}, {"filename": "/docs/elements/bd_wall.txt", "start": 65432, "end": 65604}, {"filename": "/docs/elements/acid_pool_topright.txt", "start": 65604, "end": 65684}, {"filename": "/docs/elements/frankie.txt", "start": 65684, "end": 65794}, {"filename": "/docs/elements/mm_mirror.txt", "start": 65794, "end": 65941}, {"filename": "/docs/elements/shield_normal.txt", "start": 65941, "end": 66105}, {"filename": "/docs/elements/time_orb_full.txt", "start": 66105, "end": 66310}, {"filename": "/docs/elements/dc_gate_white_gray.txt", "start": 66310, "end": 66418}, {"filename": "/docs/elements/expandable_wall.txt", "start": 66418, "end": 66766}, {"filename": "/docs/elements/bd_firefly.txt", "start": 66766, "end": 66934}, {"filename": "/docs/elements/dynabomb_increase_size.txt", "start": 66934, "end": 67344}, {"filename": "/docs/elements/wall_crystal.txt", "start": 67344, "end": 67458}, {"filename": "/docs/elements/df_mirror_rotating.txt", "start": 67458, "end": 67557}, {"filename": "/docs/elements/wall_emerald_purple.txt", "start": 67557, "end": 67678}, {"filename": "/docs/elements/balloon_switch_none.txt", "start": 67678, "end": 67848}, {"filename": "/docs/elements/em_key_4.txt", "start": 67848, "end": 67929}, {"filename": "/docs/elements/sp_hardware_base_2.txt", "start": 67929, "end": 67998}, {"filename": "/docs/elements/yamyam.txt", "start": 67998, "end": 68393}, {"filename": "/docs/elements/diamond.txt", "start": 68393, "end": 68471}, {"filename": "/docs/elements/lamp.txt", "start": 68471, "end": 68617}, {"filename": "/docs/elements/exit_closed.txt", "start": 68617, "end": 68817}, {"filename": "/docs/elements/dc_gate_white.txt", "start": 68817, "end": 68958}, {"filename": "/docs/elements/sp_chip_right.txt", "start": 68958, "end": 69005}, {"filename": "/docs/elements/any_element.txt", "start": 69005, "end": 69081}, {"filename": "/docs/elements/steelwall_slippery.txt", "start": 69081, "end": 69120}, {"filename": "/docs/elements/mm_steel_grid_fixed.txt", "start": 69120, "end": 69224}, {"filename": "/docs/elements/speed_pill.txt", "start": 69224, "end": 69313}, {"filename": "/docs/elements/stoneblock.txt", "start": 69313, "end": 69371}, {"filename": "/docs/elements/conveyor_belt_switch.txt", "start": 69371, "end": 69584}, {"filename": "/docs/elements/mm_wooden_lock.txt", "start": 69584, "end": 69709}, {"filename": "/docs/elements/emc_fake_grass.txt", "start": 69709, "end": 69861}, {"filename": "/docs/elements/switchgate.txt", "start": 69861, "end": 70031}, {"filename": "/docs/elements/rock.txt", "start": 70031, "end": 70192}, {"filename": "/docs/elements/mm_polarizer_cross.txt", "start": 70192, "end": 70289}, {"filename": "/docs/elements/sign.txt", "start": 70289, "end": 70326}, {"filename": "/docs/elements/sp_infotron.txt", "start": 70326, "end": 70366}, {"filename": "/docs/elements/switchgate_switch.txt", "start": 70366, "end": 70516}, {"filename": "/docs/elements/emc_android.txt", "start": 70516, "end": 70663}, {"filename": "/docs/elements/df_mirror.txt", "start": 70663, "end": 70752}, {"filename": "/docs/elements/sokoban_field_empty.txt", "start": 70752, "end": 71089}, {"filename": "/docs/elements/emc_gate_5_gray.txt", "start": 71089, "end": 71486}, {"filename": "/docs/elements/steel_exit_open.txt", "start": 71486, "end": 71822}, {"filename": "/docs/elements/dc_gate_fake_gray.txt", "start": 71822, "end": 71995}, {"filename": "/docs/elements/sand.txt", "start": 71995, "end": 72163}, {"filename": "/docs/elements/sp_chip_bottom.txt", "start": 72163, "end": 72210}, {"filename": "/docs/elements/emc_gate_7_gray.txt", "start": 72210, "end": 72607}, {"filename": "/docs/elements/df_receiver.txt", "start": 72607, "end": 72725}, {"filename": "/docs/elements/sp_port.txt", "start": 72725, "end": 72784}, {"filename": "/docs/elements/em_exit_open.txt", "start": 72784, "end": 73130}, {"filename": "/docs/elements/spaceship.txt", "start": 73130, "end": 73286}, {"filename": "/docs/elements/shield_deadly.txt", "start": 73286, "end": 73666}, {"filename": "/docs/elements/sp_hardware_yellow.txt", "start": 73666, "end": 73735}, {"filename": "/docs/elements/pacman.txt", "start": 73735, "end": 73829}, {"filename": "/docs/elements/group.txt", "start": 73829, "end": 74131}, {"filename": "/docs/elements/steelwall.txt", "start": 74131, "end": 74200}, {"filename": "/docs/elements/emc_gate_6_gray.txt", "start": 74200, "end": 74597}, {"filename": "/docs/elements/mole.txt", "start": 74597, "end": 74856}, {"filename": "/docs/elements/lamp.active.txt", "start": 74856, "end": 74962}, {"filename": "/docs/elements/df_refractor.txt", "start": 74962, "end": 75023}, {"filename": "/docs/elements/mm_mirror_fixed.txt", "start": 75023, "end": 75126}, {"filename": "/docs/elements/mm_teleporter.txt", "start": 75126, "end": 75201}, {"filename": "/docs/elements/mm_pacman.txt", "start": 75201, "end": 75275}, {"filename": "/docs/elements/sp_buggy_base.txt", "start": 75275, "end": 75345}, {"filename": "/docs/elements/pearl.txt", "start": 75345, "end": 75527}, {"filename": "/docs/elements/pig.txt", "start": 75527, "end": 75739}, {"filename": "/docs/elements/bd_rock.txt", "start": 75739, "end": 75851}, {"filename": "/docs/elements/mm_gray_ball.txt", "start": 75851, "end": 75949}, {"filename": "/docs/elements/amoeba_dry.txt", "start": 75949, "end": 76282}, {"filename": "/docs/elements/em_exit_closed.txt", "start": 76282, "end": 76482}, {"filename": "/docs/elements/dx_supabomb.txt", "start": 76482, "end": 76544}, {"filename": "/docs/elements/sp_hardware_base_1.txt", "start": 76544, "end": 76613}, {"filename": "/docs/elements/robot_wheel.txt", "start": 76613, "end": 76966}, {"filename": "/docs/elements/time_orb_empty.txt", "start": 76966, "end": 77026}, {"filename": "/docs/elements/envelope.txt", "start": 77026, "end": 77154}, {"filename": "/docs/elements/expandable_wall_horizontal.txt", "start": 77154, "end": 77359}, {"filename": "/docs/elements/magic_wall.txt", "start": 77359, "end": 77833}, {"filename": "/docs/elements/trigger_player.txt", "start": 77833, "end": 77992}, {"filename": "/docs/elements/amoeba_wet.txt", "start": 77992, "end": 78264}, {"filename": "/docs/elements/bd_diamond.txt", "start": 78264, "end": 78362}, {"filename": "/docs/elements/sp_hardware_blue.txt", "start": 78362, "end": 78431}, {"filename": "/docs/elements/emc_gate_5.txt", "start": 78431, "end": 78719}, {"filename": "/docs/elements/em_key_3.txt", "start": 78719, "end": 78800}, {"filename": "/docs/elements/quicksand_fast_empty.txt", "start": 78800, "end": 79002}, {"filename": "/docs/elements/key_1.txt", "start": 79002, "end": 79175}, {"filename": "/docs/elements/amoeba_drop.txt", "start": 79175, "end": 79294}, {"filename": "/docs/elements/wall_diamond.txt", "start": 79294, "end": 79408}, {"filename": "/docs/elements/wall_slippery.txt", "start": 79408, "end": 79504}, {"filename": "/docs/elements/sp_terminal.txt", "start": 79504, "end": 79620}, {"filename": "/docs/elements/light_switch.active.txt", "start": 79620, "end": 79691}, {"filename": "/docs/elements/current_ce_score.txt", "start": 79691, "end": 79920}, {"filename": "/docs/elements/steel_char.txt", "start": 79920, "end": 80001}, {"filename": "/docs/elements/balloon.txt", "start": 80001, "end": 80125}, {"filename": "/docs/elements/mm_lightbulb.txt", "start": 80125, "end": 80187}, {"filename": "/docs/elements/emc_spring_bumper.txt", "start": 80187, "end": 80273}, {"filename": "/docs/elements/trigger_ce_score.txt", "start": 80273, "end": 80536}, {"filename": "/docs/elements/light_switch.txt", "start": 80536, "end": 80699}, {"filename": "/docs/elements/emc_key_7.txt", "start": 80699, "end": 80780}, {"filename": "/docs/elements/mm_fuse.txt", "start": 80780, "end": 80970}, {"filename": "/docs/elements/dynamite.active.txt", "start": 80970, "end": 81037}, {"filename": "/docs/elements/player_4.txt", "start": 81037, "end": 81055}, {"filename": "/docs/elements/invisible_sand.txt", "start": 81055, "end": 81195}, {"filename": "/docs/elements/player_1.txt", "start": 81195, "end": 81319}, {"filename": "/docs/elements/acid_pool_bottomleft.txt", "start": 81319, "end": 81399}, {"filename": "/docs/elements/emc_grass.txt", "start": 81399, "end": 81435}, {"filename": "/docs/elements/sp_port_horizontal.txt", "start": 81435, "end": 81461}, {"filename": "/docs/elements/sp_disk_yellow.txt", "start": 81461, "end": 81629}, {"filename": "/docs/elements/gate_1_gray.txt", "start": 81629, "end": 81737}, {"filename": "/docs/elements/dynamite.txt", "start": 81737, "end": 81898}, {"filename": "/docs/elements/mm_key.txt", "start": 81898, "end": 81982}, {"filename": "/docs/elements/emc_fake_acid.txt", "start": 81982, "end": 82045}, {"filename": "/docs/elements/tube.txt", "start": 82045, "end": 82171}, {"filename": "/docs/elements/biomaze.txt", "start": 82171, "end": 82373}, {"filename": "/docs/elements/self.txt", "start": 82373, "end": 82616}, {"filename": "/docs/elements/emc_key_5.txt", "start": 82616, "end": 82697}, {"filename": "/docs/elements/sp_hardware_base_5.txt", "start": 82697, "end": 82766}, {"filename": "/docs/elements/mm_wooden_block.txt", "start": 82766, "end": 82856}, {"filename": "/docs/elements/mm_amoeba_wall.txt", "start": 82856, "end": 82934}, {"filename": "/docs/elements/sp_hardware_gray.txt", "start": 82934, "end": 83003}, {"filename": "/docs/elements/mm_ice_wall.txt", "start": 83003, "end": 83049}, {"filename": "/docs/elements/gate_4_gray.txt", "start": 83049, "end": 83157}, {"filename": "/docs/elements/acid_pool_bottom.txt", "start": 83157, "end": 83237}, {"filename": "/docs/elements/sp_disk_red.txt", "start": 83237, "end": 83271}, {"filename": "/docs/elements/mm_wooden_grid_fixed.txt", "start": 83271, "end": 83380}, {"filename": "/docs/elements/unknown.txt", "start": 83380, "end": 83397}, {"filename": "/docs/elements/bd_butterfly.txt", "start": 83397, "end": 83675}, {"filename": "/docs/elements/sp_hardware_base_6.txt", "start": 83675, "end": 83744}, {"filename": "/docs/elements/gate_3_gray.txt", "start": 83744, "end": 83852}, {"filename": "/docs/elements/dynabomb_increase_number.txt", "start": 83852, "end": 84326}, {"filename": "/docs/elements/em_gate_1.txt", "start": 84326, "end": 84614}, {"filename": "/docs/elements/custom.txt", "start": 84614, "end": 85180}, {"filename": "/docs/elements/trigger_ce_value.txt", "start": 85180, "end": 85443}, {"filename": "/docs/elements/sp_chip_single.txt", "start": 85443, "end": 85490}, {"filename": "/docs/elements/next_ce.txt", "start": 85490, "end": 85670}, {"filename": "/docs/elements/quicksand_full.txt", "start": 85670, "end": 85783}, {"filename": "/docs/elements/sp_port_vertical.txt", "start": 85783, "end": 85809}, {"filename": "/docs/elements/amoeba_full.txt", "start": 85809, "end": 85947}, {"filename": "/docs/elements/em_gate_3.txt", "start": 85947, "end": 86235}, {"filename": "/docs/elements/df_cell.txt", "start": 86235, "end": 86304}, {"filename": "/docs/elements/df_wooden_grid_fixed.txt", "start": 86304, "end": 86413}, {"filename": "/docs/elements/em_gate_3_gray.txt", "start": 86413, "end": 86810}, {"filename": "/docs/elements/gate_3.txt", "start": 86810, "end": 86875}, {"filename": "/docs/elements/emerald.txt", "start": 86875, "end": 87001}, {"filename": "/docs/elements/mm_polarizer.txt", "start": 87001, "end": 87096}, {"filename": "/docs/elements/mm_kettle.txt", "start": 87096, "end": 87248}, {"filename": "/docs/elements/emc_dripper.txt", "start": 87248, "end": 87393}, {"filename": "/docs/elements/emc_gate_8.txt", "start": 87393, "end": 87681}, {"filename": "/docs/elements/wall_emerald.txt", "start": 87681, "end": 87796}, {"filename": "/docs/elements/sokoban_field_full.txt", "start": 87796, "end": 88098}, {"filename": "/docs/elements/acid_pool_topleft.txt", "start": 88098, "end": 88178}, {"filename": "/docs/elements/sp_hardware_base_4.txt", "start": 88178, "end": 88247}, {"filename": "/docs/elements/extra_time.txt", "start": 88247, "end": 88357}, {"filename": "/docs/elements/em_steel_exit_closed.txt", "start": 88357, "end": 88608}, {"filename": "/docs/elements/emc_key_6.txt", "start": 88608, "end": 88689}, {"filename": "/docs/elements/gate_2.txt", "start": 88689, "end": 88754}, {"filename": "/docs/elements/from_level_template.txt", "start": 88754, "end": 88991}, {"filename": "/docs/elements/sp_electron.txt", "start": 88991, "end": 89135}, {"filename": "/docs/elements/invisible_steelwall.txt", "start": 89135, "end": 89292}, {"filename": "/docs/elements/sp_hardware_base_3.txt", "start": 89292, "end": 89361}, {"filename": "/docs/elements/bd_magic_wall.txt", "start": 89361, "end": 89819}, {"filename": "/docs/elements/sp_sniksnak.txt", "start": 89819, "end": 89898}, {"filename": "/docs/elements/em_key_1.txt", "start": 89898, "end": 89979}, {"filename": "/docs/elements/wall_emerald_red.txt", "start": 89979, "end": 90097}, {"filename": "/docs/elements/mm_fuel.txt", "start": 90097, "end": 90224}, {"filename": "/docs/elements/wall_bd_diamond.txt", "start": 90224, "end": 90349}, {"filename": "/docs/elements/em_gate_2.txt", "start": 90349, "end": 90637}, {"filename": "/docs/elements/dc_key_white.txt", "start": 90637, "end": 90872}, {"filename": "/docs/elements/emc_plant.txt", "start": 90872, "end": 90934}, {"filename": "/docs/elements/robot.txt", "start": 90934, "end": 91158}, {"filename": "/docs/elements/invisible_wall.txt", "start": 91158, "end": 91303}, {"filename": "/docs/elements/sp_hardware_green.txt", "start": 91303, "end": 91372}, {"filename": "/docs/elements/emc_magnifier.txt", "start": 91372, "end": 91481}, {"filename": "/docs/elements/arrow_up.txt", "start": 91481, "end": 91565}, {"filename": "/docs/elements/mm_exit.txt", "start": 91565, "end": 91709}, {"filename": "/docs/elements/sokoban_field_player.txt", "start": 91709, "end": 91923}, {"filename": "/docs/elements/sp_gravity_port.txt", "start": 91923, "end": 92030}, {"filename": "/docs/elements/wall_pearl.txt", "start": 92030, "end": 92142}, {"filename": "/docs/elements/em_key_2.txt", "start": 92142, "end": 92223}, {"filename": "/docs/program/program_1.txt", "start": 92223, "end": 92533}, {"filename": "/levels/Classic_Games/levelinfo.conf", "start": 92533, "end": 92831}, {"filename": "/levels/Classic_Games/classic_boulderdash/064.level", "start": 92831, "end": 93221}, {"filename": "/levels/Classic_Games/classic_boulderdash/049.level", "start": 93221, "end": 93611}, {"filename": "/levels/Classic_Games/classic_boulderdash/054.level", "start": 93611, "end": 94001}, {"filename": "/levels/Classic_Games/classic_boulderdash/023.level", "start": 94001, "end": 95031}, {"filename": "/levels/Classic_Games/classic_boulderdash/015.level", "start": 95031, "end": 96061}, {"filename": "/levels/Classic_Games/classic_boulderdash/092.level", "start": 96061, "end": 97091}, {"filename": "/levels/Classic_Games/classic_boulderdash/069.level", "start": 97091, "end": 97481}, {"filename": "/levels/Classic_Games/classic_boulderdash/038.level", "start": 97481, "end": 98511}, {"filename": "/levels/Classic_Games/classic_boulderdash/030.level", "start": 98511, "end": 99541}, {"filename": "/levels/Classic_Games/classic_boulderdash/093.level", "start": 99541, "end": 100571}, {"filename": "/levels/Classic_Games/classic_boulderdash/074.level", "start": 100571, "end": 100961}, {"filename": "/levels/Classic_Games/classic_boulderdash/031.level", "start": 100961, "end": 101991}, {"filename": "/levels/Classic_Games/classic_boulderdash/040.level", "start": 101991, "end": 103021}, {"filename": "/levels/Classic_Games/classic_boulderdash/008.level", "start": 103021, "end": 104051}, {"filename": "/levels/Classic_Games/classic_boulderdash/041.level", "start": 104051, "end": 105081}, {"filename": "/levels/Classic_Games/classic_boulderdash/019.level", "start": 105081, "end": 105471}, {"filename": "/levels/Classic_Games/classic_boulderdash/010.level", "start": 105471, "end": 106501}, {"filename": "/levels/Classic_Games/classic_boulderdash/003.level", "start": 106501, "end": 107531}, {"filename": "/levels/Classic_Games/classic_boulderdash/024.level", "start": 107531, "end": 107921}, {"filename": "/levels/Classic_Games/classic_boulderdash/048.level", "start": 107921, "end": 108951}, {"filename": "/levels/Classic_Games/classic_boulderdash/021.level", "start": 108951, "end": 109981}, {"filename": "/levels/Classic_Games/classic_boulderdash/047.level", "start": 109981, "end": 111011}, {"filename": "/levels/Classic_Games/classic_boulderdash/055.level", "start": 111011, "end": 112041}, {"filename": "/levels/Classic_Games/classic_boulderdash/065.level", "start": 112041, "end": 113071}, {"filename": "/levels/Classic_Games/classic_boulderdash/044.level", "start": 113071, "end": 113461}, {"filename": "/levels/Classic_Games/classic_boulderdash/025.level", "start": 113461, "end": 114491}, {"filename": "/levels/Classic_Games/classic_boulderdash/012.level", "start": 114491, "end": 115521}, {"filename": "/levels/Classic_Games/classic_boulderdash/014.level", "start": 115521, "end": 115911}, {"filename": "/levels/Classic_Games/classic_boulderdash/035.level", "start": 115911, "end": 116941}, {"filename": "/levels/Classic_Games/classic_boulderdash/081.level", "start": 116941, "end": 117971}, {"filename": "/levels/Classic_Games/classic_boulderdash/004.level", "start": 117971, "end": 118361}, {"filename": "/levels/Classic_Games/classic_boulderdash/099.level", "start": 118361, "end": 118751}, {"filename": "/levels/Classic_Games/classic_boulderdash/027.level", "start": 118751, "end": 119781}, {"filename": "/levels/Classic_Games/classic_boulderdash/078.level", "start": 119781, "end": 120811}, {"filename": "/levels/Classic_Games/classic_boulderdash/071.level", "start": 120811, "end": 121841}, {"filename": "/levels/Classic_Games/classic_boulderdash/034.level", "start": 121841, "end": 122231}, {"filename": "/levels/Classic_Games/classic_boulderdash/089.level", "start": 122231, "end": 122621}, {"filename": "/levels/Classic_Games/classic_boulderdash/070.level", "start": 122621, "end": 123651}, {"filename": "/levels/Classic_Games/classic_boulderdash/091.level", "start": 123651, "end": 124681}, {"filename": "/levels/Classic_Games/classic_boulderdash/059.level", "start": 124681, "end": 125071}, {"filename": "/levels/Classic_Games/classic_boulderdash/051.level", "start": 125071, "end": 126101}, {"filename": "/levels/Classic_Games/classic_boulderdash/013.level", "start": 126101, "end": 127131}, {"filename": "/levels/Classic_Games/classic_boulderdash/057.level", "start": 127131, "end": 128161}, {"filename": "/levels/Classic_Games/classic_boulderdash/076.level", "start": 128161, "end": 129191}, {"filename": "/levels/Classic_Games/classic_boulderdash/002.level", "start": 129191, "end": 130221}, {"filename": "/levels/Classic_Games/classic_boulderdash/072.level", "start": 130221, "end": 131251}, {"filename": "/levels/Classic_Games/classic_boulderdash/088.level", "start": 131251, "end": 132281}, {"filename": "/levels/Classic_Games/classic_boulderdash/029.level", "start": 132281, "end": 132671}, {"filename": "/levels/Classic_Games/classic_boulderdash/080.level", "start": 132671, "end": 133701}, {"filename": "/levels/Classic_Games/classic_boulderdash/060.level", "start": 133701, "end": 134731}, {"filename": "/levels/Classic_Games/classic_boulderdash/082.level", "start": 134731, "end": 135761}, {"filename": "/levels/Classic_Games/classic_boulderdash/083.level", "start": 135761, "end": 136791}, {"filename": "/levels/Classic_Games/classic_boulderdash/043.level", "start": 136791, "end": 137821}, {"filename": "/levels/Classic_Games/classic_boulderdash/046.level", "start": 137821, "end": 138851}, {"filename": "/levels/Classic_Games/classic_boulderdash/094.level", "start": 138851, "end": 139241}, {"filename": "/levels/Classic_Games/classic_boulderdash/036.level", "start": 139241, "end": 140271}, {"filename": "/levels/Classic_Games/classic_boulderdash/033.level", "start": 140271, "end": 141301}, {"filename": "/levels/Classic_Games/classic_boulderdash/052.level", "start": 141301, "end": 142331}, {"filename": "/levels/Classic_Games/classic_boulderdash/000.level", "start": 142331, "end": 143361}, {"filename": "/levels/Classic_Games/classic_boulderdash/098.level", "start": 143361, "end": 144391}, {"filename": "/levels/Classic_Games/classic_boulderdash/018.level", "start": 144391, "end": 145421}, {"filename": "/levels/Classic_Games/classic_boulderdash/028.level", "start": 145421, "end": 146451}, {"filename": "/levels/Classic_Games/classic_boulderdash/032.level", "start": 146451, "end": 147481}, {"filename": "/levels/Classic_Games/classic_boulderdash/095.level", "start": 147481, "end": 148511}, {"filename": "/levels/Classic_Games/classic_boulderdash/039.level", "start": 148511, "end": 148901}, {"filename": "/levels/Classic_Games/classic_boulderdash/020.level", "start": 148901, "end": 149931}, {"filename": "/levels/Classic_Games/classic_boulderdash/037.level", "start": 149931, "end": 150961}, {"filename": "/levels/Classic_Games/classic_boulderdash/007.level", "start": 150961, "end": 151991}, {"filename": "/levels/Classic_Games/classic_boulderdash/067.level", "start": 151991, "end": 153021}, {"filename": "/levels/Classic_Games/classic_boulderdash/001.level", "start": 153021, "end": 154051}, {"filename": "/levels/Classic_Games/classic_boulderdash/005.level", "start": 154051, "end": 155081}, {"filename": "/levels/Classic_Games/classic_boulderdash/053.level", "start": 155081, "end": 156111}, {"filename": "/levels/Classic_Games/classic_boulderdash/056.level", "start": 156111, "end": 157141}, {"filename": "/levels/Classic_Games/classic_boulderdash/090.level", "start": 157141, "end": 158171}, {"filename": "/levels/Classic_Games/classic_boulderdash/061.level", "start": 158171, "end": 159201}, {"filename": "/levels/Classic_Games/classic_boulderdash/022.level", "start": 159201, "end": 160231}, {"filename": "/levels/Classic_Games/classic_boulderdash/062.level", "start": 160231, "end": 161261}, {"filename": "/levels/Classic_Games/classic_boulderdash/058.level", "start": 161261, "end": 162291}, {"filename": "/levels/Classic_Games/classic_boulderdash/045.level", "start": 162291, "end": 163321}, {"filename": "/levels/Classic_Games/classic_boulderdash/levelinfo.conf", "start": 163321, "end": 163600}, {"filename": "/levels/Classic_Games/classic_boulderdash/085.level", "start": 163600, "end": 164630}, {"filename": "/levels/Classic_Games/classic_boulderdash/073.level", "start": 164630, "end": 165660}, {"filename": "/levels/Classic_Games/classic_boulderdash/016.level", "start": 165660, "end": 166690}, {"filename": "/levels/Classic_Games/classic_boulderdash/075.level", "start": 166690, "end": 167720}, {"filename": "/levels/Classic_Games/classic_boulderdash/042.level", "start": 167720, "end": 168750}, {"filename": "/levels/Classic_Games/classic_boulderdash/068.level", "start": 168750, "end": 169780}, {"filename": "/levels/Classic_Games/classic_boulderdash/084.level", "start": 169780, "end": 170170}, {"filename": "/levels/Classic_Games/classic_boulderdash/006.level", "start": 170170, "end": 171200}, {"filename": "/levels/Classic_Games/classic_boulderdash/097.level", "start": 171200, "end": 172230}, {"filename": "/levels/Classic_Games/classic_boulderdash/086.level", "start": 172230, "end": 173260}, {"filename": "/levels/Classic_Games/classic_boulderdash/050.level", "start": 173260, "end": 174290}, {"filename": "/levels/Classic_Games/classic_boulderdash/009.level", "start": 174290, "end": 174680}, {"filename": "/levels/Classic_Games/classic_boulderdash/077.level", "start": 174680, "end": 175710}, {"filename": "/levels/Classic_Games/classic_boulderdash/063.level", "start": 175710, "end": 176740}, {"filename": "/levels/Classic_Games/classic_boulderdash/026.level", "start": 176740, "end": 177770}, {"filename": "/levels/Classic_Games/classic_boulderdash/066.level", "start": 177770, "end": 178800}, {"filename": "/levels/Classic_Games/classic_boulderdash/017.level", "start": 178800, "end": 179830}, {"filename": "/levels/Classic_Games/classic_boulderdash/011.level", "start": 179830, "end": 180860}, {"filename": "/levels/Classic_Games/classic_boulderdash/079.level", "start": 180860, "end": 181250}, {"filename": "/levels/Classic_Games/classic_boulderdash/087.level", "start": 181250, "end": 182280}, {"filename": "/levels/Classic_Games/classic_boulderdash/096.level", "start": 182280, "end": 183310}, {"filename": "/levels/Classic_Games/classic_supaplex/levels.dat", "start": 183310, "end": 353806}, {"filename": "/levels/Classic_Games/classic_supaplex/levelinfo.conf", "start": 353806, "end": 354096}, {"filename": "/levels/Classic_Games/classic_emerald_mine/helpanim.conf", "start": 354096, "end": 358308}, {"filename": "/levels/Classic_Games/classic_emerald_mine/94", "start": 358308, "end": 360414}, {"filename": "/levels/Classic_Games/classic_emerald_mine/73", "start": 360414, "end": 362520}, {"filename": "/levels/Classic_Games/classic_emerald_mine/89", "start": 362520, "end": 364626}, {"filename": "/levels/Classic_Games/classic_emerald_mine/37", "start": 364626, "end": 366732}, {"filename": "/levels/Classic_Games/classic_emerald_mine/1", "start": 366732, "end": 368838}, {"filename": "/levels/Classic_Games/classic_emerald_mine/87", "start": 368838, "end": 370944}, {"filename": "/levels/Classic_Games/classic_emerald_mine/4", "start": 370944, "end": 373050}, {"filename": "/levels/Classic_Games/classic_emerald_mine/24", "start": 373050, "end": 375156}, {"filename": "/levels/Classic_Games/classic_emerald_mine/9", "start": 375156, "end": 377262}, {"filename": "/levels/Classic_Games/classic_emerald_mine/16", "start": 377262, "end": 379368}, {"filename": "/levels/Classic_Games/classic_emerald_mine/5", "start": 379368, "end": 381474}, {"filename": "/levels/Classic_Games/classic_emerald_mine/23", "start": 381474, "end": 383580}, {"filename": "/levels/Classic_Games/classic_emerald_mine/0", "start": 383580, "end": 385686}, {"filename": "/levels/Classic_Games/classic_emerald_mine/80", "start": 385686, "end": 387792}, {"filename": "/levels/Classic_Games/classic_emerald_mine/92", "start": 387792, "end": 389898}, {"filename": "/levels/Classic_Games/classic_emerald_mine/54", "start": 389898, "end": 392004}, {"filename": "/levels/Classic_Games/classic_emerald_mine/27", "start": 392004, "end": 394110}, {"filename": "/levels/Classic_Games/classic_emerald_mine/64", "start": 394110, "end": 396216}, {"filename": "/levels/Classic_Games/classic_emerald_mine/95", "start": 396216, "end": 398322}, {"filename": "/levels/Classic_Games/classic_emerald_mine/101", "start": 398322, "end": 400428}, {"filename": "/levels/Classic_Games/classic_emerald_mine/81", "start": 400428, "end": 402534}, {"filename": "/levels/Classic_Games/classic_emerald_mine/96", "start": 402534, "end": 404640}, {"filename": "/levels/Classic_Games/classic_emerald_mine/34", "start": 404640, "end": 406746}, {"filename": "/levels/Classic_Games/classic_emerald_mine/49", "start": 406746, "end": 408852}, {"filename": "/levels/Classic_Games/classic_emerald_mine/42", "start": 408852, "end": 410958}, {"filename": "/levels/Classic_Games/classic_emerald_mine/99", "start": 410958, "end": 413064}, {"filename": "/levels/Classic_Games/classic_emerald_mine/86", "start": 413064, "end": 415170}, {"filename": "/levels/Classic_Games/classic_emerald_mine/20", "start": 415170, "end": 417276}, {"filename": "/levels/Classic_Games/classic_emerald_mine/15", "start": 417276, "end": 419382}, {"filename": "/levels/Classic_Games/classic_emerald_mine/26", "start": 419382, "end": 421488}, {"filename": "/levels/Classic_Games/classic_emerald_mine/51", "start": 421488, "end": 423594}, {"filename": "/levels/Classic_Games/classic_emerald_mine/84", "start": 423594, "end": 425700}, {"filename": "/levels/Classic_Games/classic_emerald_mine/14", "start": 425700, "end": 427806}, {"filename": "/levels/Classic_Games/classic_emerald_mine/90", "start": 427806, "end": 429912}, {"filename": "/levels/Classic_Games/classic_emerald_mine/33", "start": 429912, "end": 432018}, {"filename": "/levels/Classic_Games/classic_emerald_mine/50", "start": 432018, "end": 434124}, {"filename": "/levels/Classic_Games/classic_emerald_mine/3", "start": 434124, "end": 436230}, {"filename": "/levels/Classic_Games/classic_emerald_mine/29", "start": 436230, "end": 438336}, {"filename": "/levels/Classic_Games/classic_emerald_mine/39", "start": 438336, "end": 440442}, {"filename": "/levels/Classic_Games/classic_emerald_mine/72", "start": 440442, "end": 442548}, {"filename": "/levels/Classic_Games/classic_emerald_mine/65", "start": 442548, "end": 444654}, {"filename": "/levels/Classic_Games/classic_emerald_mine/10", "start": 444654, "end": 446760}, {"filename": "/levels/Classic_Games/classic_emerald_mine/93", "start": 446760, "end": 448866}, {"filename": "/levels/Classic_Games/classic_emerald_mine/32", "start": 448866, "end": 450972}, {"filename": "/levels/Classic_Games/classic_emerald_mine/43", "start": 450972, "end": 453078}, {"filename": "/levels/Classic_Games/classic_emerald_mine/59", "start": 453078, "end": 455184}, {"filename": "/levels/Classic_Games/classic_emerald_mine/19", "start": 455184, "end": 457290}, {"filename": "/levels/Classic_Games/classic_emerald_mine/helptext.conf", "start": 457290, "end": 459812}, {"filename": "/levels/Classic_Games/classic_emerald_mine/79", "start": 459812, "end": 461918}, {"filename": "/levels/Classic_Games/classic_emerald_mine/83", "start": 461918, "end": 464024}, {"filename": "/levels/Classic_Games/classic_emerald_mine/75", "start": 464024, "end": 466130}, {"filename": "/levels/Classic_Games/classic_emerald_mine/35", "start": 466130, "end": 468236}, {"filename": "/levels/Classic_Games/classic_emerald_mine/60", "start": 468236, "end": 470342}, {"filename": "/levels/Classic_Games/classic_emerald_mine/30", "start": 470342, "end": 472448}, {"filename": "/levels/Classic_Games/classic_emerald_mine/97", "start": 472448, "end": 474554}, {"filename": "/levels/Classic_Games/classic_emerald_mine/45", "start": 474554, "end": 476660}, {"filename": "/levels/Classic_Games/classic_emerald_mine/52", "start": 476660, "end": 478766}, {"filename": "/levels/Classic_Games/classic_emerald_mine/2", "start": 478766, "end": 480872}, {"filename": "/levels/Classic_Games/classic_emerald_mine/25", "start": 480872, "end": 482978}, {"filename": "/levels/Classic_Games/classic_emerald_mine/41", "start": 482978, "end": 485084}, {"filename": "/levels/Classic_Games/classic_emerald_mine/71", "start": 485084, "end": 487190}, {"filename": "/levels/Classic_Games/classic_emerald_mine/77", "start": 487190, "end": 489296}, {"filename": "/levels/Classic_Games/classic_emerald_mine/58", "start": 489296, "end": 491402}, {"filename": "/levels/Classic_Games/classic_emerald_mine/12", "start": 491402, "end": 493508}, {"filename": "/levels/Classic_Games/classic_emerald_mine/100", "start": 493508, "end": 495614}, {"filename": "/levels/Classic_Games/classic_emerald_mine/44", "start": 495614, "end": 497720}, {"filename": "/levels/Classic_Games/classic_emerald_mine/62", "start": 497720, "end": 499826}, {"filename": "/levels/Classic_Games/classic_emerald_mine/68", "start": 499826, "end": 501932}, {"filename": "/levels/Classic_Games/classic_emerald_mine/38", "start": 501932, "end": 504038}, {"filename": "/levels/Classic_Games/classic_emerald_mine/47", "start": 504038, "end": 506144}, {"filename": "/levels/Classic_Games/classic_emerald_mine/61", "start": 506144, "end": 508250}, {"filename": "/levels/Classic_Games/classic_emerald_mine/53", "start": 508250, "end": 510356}, {"filename": "/levels/Classic_Games/classic_emerald_mine/66", "start": 510356, "end": 512462}, {"filename": "/levels/Classic_Games/classic_emerald_mine/levelinfo.conf", "start": 512462, "end": 512805}, {"filename": "/levels/Classic_Games/classic_emerald_mine/57", "start": 512805, "end": 514911}, {"filename": "/levels/Classic_Games/classic_emerald_mine/36", "start": 514911, "end": 517017}, {"filename": "/levels/Classic_Games/classic_emerald_mine/31", "start": 517017, "end": 519123}, {"filename": "/levels/Classic_Games/classic_emerald_mine/55", "start": 519123, "end": 521229}, {"filename": "/levels/Classic_Games/classic_emerald_mine/6", "start": 521229, "end": 523335}, {"filename": "/levels/Classic_Games/classic_emerald_mine/11", "start": 523335, "end": 525441}, {"filename": "/levels/Classic_Games/classic_emerald_mine/82", "start": 525441, "end": 527547}, {"filename": "/levels/Classic_Games/classic_emerald_mine/85", "start": 527547, "end": 529653}, {"filename": "/levels/Classic_Games/classic_emerald_mine/88", "start": 529653, "end": 531759}, {"filename": "/levels/Classic_Games/classic_emerald_mine/98", "start": 531759, "end": 533865}, {"filename": "/levels/Classic_Games/classic_emerald_mine/91", "start": 533865, "end": 535971}, {"filename": "/levels/Classic_Games/classic_emerald_mine/8", "start": 535971, "end": 538077}, {"filename": "/levels/Classic_Games/classic_emerald_mine/56", "start": 538077, "end": 540183}, {"filename": "/levels/Classic_Games/classic_emerald_mine/48", "start": 540183, "end": 542289}, {"filename": "/levels/Classic_Games/classic_emerald_mine/78", "start": 542289, "end": 544395}, {"filename": "/levels/Classic_Games/classic_emerald_mine/67", "start": 544395, "end": 546501}, {"filename": "/levels/Classic_Games/classic_emerald_mine/22", "start": 546501, "end": 548607}, {"filename": "/levels/Classic_Games/classic_emerald_mine/76", "start": 548607, "end": 550713}, {"filename": "/levels/Classic_Games/classic_emerald_mine/46", "start": 550713, "end": 552819}, {"filename": "/levels/Classic_Games/classic_emerald_mine/63", "start": 552819, "end": 554925}, {"filename": "/levels/Classic_Games/classic_emerald_mine/17", "start": 554925, "end": 557031}, {"filename": "/levels/Classic_Games/classic_emerald_mine/7", "start": 557031, "end": 559137}, {"filename": "/levels/Classic_Games/classic_emerald_mine/69", "start": 559137, "end": 561243}, {"filename": "/levels/Classic_Games/classic_emerald_mine/18", "start": 561243, "end": 563349}, {"filename": "/levels/Classic_Games/classic_emerald_mine/40", "start": 563349, "end": 565455}, {"filename": "/levels/Classic_Games/classic_emerald_mine/74", "start": 565455, "end": 567561}, {"filename": "/levels/Classic_Games/classic_emerald_mine/28", "start": 567561, "end": 569667}, {"filename": "/levels/Classic_Games/classic_emerald_mine/70", "start": 569667, "end": 571773}, {"filename": "/levels/Classic_Games/classic_emerald_mine/21", "start": 571773, "end": 573879}, {"filename": "/levels/Classic_Games/classic_emerald_mine/13", "start": 573879, "end": 575985}, {"filename": "/levels/Classic_Games/classic_sokoban/049.level", "start": 575985, "end": 576390}, {"filename": "/levels/Classic_Games/classic_sokoban/023.level", "start": 576390, "end": 576806}, {"filename": "/levels/Classic_Games/classic_sokoban/015.level", "start": 576806, "end": 577228}, {"filename": "/levels/Classic_Games/classic_sokoban/038.level", "start": 577228, "end": 577499}, {"filename": "/levels/Classic_Games/classic_sokoban/030.level", "start": 577499, "end": 577915}, {"filename": "/levels/Classic_Games/classic_sokoban/031.level", "start": 577915, "end": 578353}, {"filename": "/levels/Classic_Games/classic_sokoban/040.level", "start": 578353, "end": 578775}, {"filename": "/levels/Classic_Games/classic_sokoban/008.level", "start": 578775, "end": 579181}, {"filename": "/levels/Classic_Games/classic_sokoban/041.level", "start": 579181, "end": 579616}, {"filename": "/levels/Classic_Games/classic_sokoban/019.level", "start": 579616, "end": 580070}, {"filename": "/levels/Classic_Games/classic_sokoban/010.level", "start": 580070, "end": 580524}, {"filename": "/levels/Classic_Games/classic_sokoban/003.level", "start": 580524, "end": 580844}, {"filename": "/levels/Classic_Games/classic_sokoban/024.level", "start": 580844, "end": 581298}, {"filename": "/levels/Classic_Games/classic_sokoban/048.level", "start": 581298, "end": 581656}, {"filename": "/levels/Classic_Games/classic_sokoban/021.level", "start": 581656, "end": 582031}, {"filename": "/levels/Classic_Games/classic_sokoban/047.level", "start": 582031, "end": 582379}, {"filename": "/levels/Classic_Games/classic_sokoban/044.level", "start": 582379, "end": 582814}, {"filename": "/levels/Classic_Games/classic_sokoban/025.level", "start": 582814, "end": 583268}, {"filename": "/levels/Classic_Games/classic_sokoban/012.level", "start": 583268, "end": 583639}, {"filename": "/levels/Classic_Games/classic_sokoban/014.level", "start": 583639, "end": 584077}, {"filename": "/levels/Classic_Games/classic_sokoban/035.level", "start": 584077, "end": 584531}, {"filename": "/levels/Classic_Games/classic_sokoban/004.level", "start": 584531, "end": 584947}, {"filename": "/levels/Classic_Games/classic_sokoban/027.level", "start": 584947, "end": 585344}, {"filename": "/levels/Classic_Games/classic_sokoban/034.level", "start": 585344, "end": 585704}, {"filename": "/levels/Classic_Games/classic_sokoban/013.level", "start": 585704, "end": 586101}, {"filename": "/levels/Classic_Games/classic_sokoban/002.level", "start": 586101, "end": 586391}, {"filename": "/levels/Classic_Games/classic_sokoban/029.level", "start": 586391, "end": 586788}, {"filename": "/levels/Classic_Games/classic_sokoban/043.level", "start": 586788, "end": 587147}, {"filename": "/levels/Classic_Games/classic_sokoban/046.level", "start": 587147, "end": 587521}, {"filename": "/levels/Classic_Games/classic_sokoban/036.level", "start": 587521, "end": 587975}, {"filename": "/levels/Classic_Games/classic_sokoban/033.level", "start": 587975, "end": 588305}, {"filename": "/levels/Classic_Games/classic_sokoban/018.level", "start": 588305, "end": 588702}, {"filename": "/levels/Classic_Games/classic_sokoban/028.level", "start": 588702, "end": 589107}, {"filename": "/levels/Classic_Games/classic_sokoban/032.level", "start": 589107, "end": 589452}, {"filename": "/levels/Classic_Games/classic_sokoban/039.level", "start": 589452, "end": 589906}, {"filename": "/levels/Classic_Games/classic_sokoban/020.level", "start": 589906, "end": 590360}, {"filename": "/levels/Classic_Games/classic_sokoban/037.level", "start": 590360, "end": 590795}, {"filename": "/levels/Classic_Games/classic_sokoban/007.level", "start": 590795, "end": 591101}, {"filename": "/levels/Classic_Games/classic_sokoban/001.level", "start": 591101, "end": 591460}, {"filename": "/levels/Classic_Games/classic_sokoban/005.level", "start": 591460, "end": 591831}, {"filename": "/levels/Classic_Games/classic_sokoban/022.level", "start": 591831, "end": 592285}, {"filename": "/levels/Classic_Games/classic_sokoban/045.level", "start": 592285, "end": 592659}, {"filename": "/levels/Classic_Games/classic_sokoban/levelinfo.conf", "start": 592659, "end": 592872}, {"filename": "/levels/Classic_Games/classic_sokoban/016.level", "start": 592872, "end": 593232}, {"filename": "/levels/Classic_Games/classic_sokoban/042.level", "start": 593232, "end": 593616}, {"filename": "/levels/Classic_Games/classic_sokoban/006.level", "start": 593616, "end": 593898}, {"filename": "/levels/Classic_Games/classic_sokoban/050.level", "start": 593898, "end": 594352}, {"filename": "/levels/Classic_Games/classic_sokoban/009.level", "start": 594352, "end": 594740}, {"filename": "/levels/Classic_Games/classic_sokoban/026.level", "start": 594740, "end": 595070}, {"filename": "/levels/Classic_Games/classic_sokoban/017.level", "start": 595070, "end": 595444}, {"filename": "/levels/Classic_Games/classic_sokoban/011.level", "start": 595444, "end": 595879}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/004.tape", "start": 595879, "end": 597731}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/013.tape", "start": 597731, "end": 599091}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/016.tape", "start": 599091, "end": 601115}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/027.tape", "start": 601115, "end": 604253}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/041.tape", "start": 604253, "end": 605417}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/040.tape", "start": 605417, "end": 608679}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/014.tape", "start": 608679, "end": 611191}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/006.tape", "start": 611191, "end": 611879}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/050.tape", "start": 611879, "end": 615131}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/049.tape", "start": 615131, "end": 616387}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/044.tape", "start": 616387, "end": 617603}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/007.tape", "start": 617603, "end": 618375}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/002.tape", "start": 618375, "end": 619507}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/011.tape", "start": 619507, "end": 622085}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/038.tape", "start": 622085, "end": 622929}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/020.tape", "start": 622929, "end": 626809}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/021.tape", "start": 626809, "end": 627975}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/043.tape", "start": 627975, "end": 629271}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/045.tape", "start": 629271, "end": 631539}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/024.tape", "start": 631539, "end": 634579}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/009.tape", "start": 634579, "end": 635699}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/003.tape", "start": 635699, "end": 636469}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/031.tape", "start": 636469, "end": 638423}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/018.tape", "start": 638423, "end": 640015}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/023.tape", "start": 640015, "end": 643263}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/015.tape", "start": 643263, "end": 644689}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/032.tape", "start": 644689, "end": 645817}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/030.tape", "start": 645817, "end": 648621}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/010.tape", "start": 648621, "end": 651127}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/026.tape", "start": 651127, "end": 652599}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/025.tape", "start": 652599, "end": 655415}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/028.tape", "start": 655415, "end": 657367}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/046.tape", "start": 657367, "end": 659079}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/036.tape", "start": 659079, "end": 662167}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/012.tape", "start": 662167, "end": 663845}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/029.tape", "start": 663845, "end": 665289}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/019.tape", "start": 665289, "end": 666753}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/008.tape", "start": 666753, "end": 667945}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/048.tape", "start": 667945, "end": 669069}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/001.tape", "start": 669069, "end": 669485}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/005.tape", "start": 669485, "end": 670315}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/042.tape", "start": 670315, "end": 671919}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/022.tape", "start": 671919, "end": 675031}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/047.tape", "start": 675031, "end": 676423}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/039.tape", "start": 676423, "end": 680247}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/017.tape", "start": 680247, "end": 681431}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/035.tape", "start": 681431, "end": 683799}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/034.tape", "start": 683799, "end": 685513}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/037.tape", "start": 685513, "end": 687457}, {"filename": "/levels/Classic_Games/classic_sokoban/tapes/033.tape", "start": 687457, "end": 689429}, {"filename": "/levels/Tutorials/levelinfo.conf", "start": 689429, "end": 689667}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/023.level", "start": 689667, "end": 690431}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/015.level", "start": 690431, "end": 691223}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/038.level", "start": 691223, "end": 692016}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/030.level", "start": 692016, "end": 692437}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/031.level", "start": 692437, "end": 692858}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/040.level", "start": 692858, "end": 693504}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/008.level", "start": 693504, "end": 694335}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/019.level", "start": 694335, "end": 695218}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/010.level", "start": 695218, "end": 695998}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/012.level.orig", "start": 695998, "end": 696758}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/003.level", "start": 696758, "end": 697652}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/024.level", "start": 697652, "end": 698413}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/021.level", "start": 698413, "end": 699154}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/025.level", "start": 699154, "end": 700202}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/012.level", "start": 700202, "end": 701165}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/014.level", "start": 701165, "end": 701939}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/035.level", "start": 701939, "end": 702714}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/004.level.orig", "start": 702714, "end": 703474}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/004.level", "start": 703474, "end": 704380}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/027.level", "start": 704380, "end": 704801}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/034.level", "start": 704801, "end": 705447}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/README", "start": 705447, "end": 706245}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/013.level", "start": 706245, "end": 707241}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/002.level", "start": 707241, "end": 708066}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/029.level", "start": 708066, "end": 708906}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/036.level", "start": 708906, "end": 709552}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/033.level", "start": 709552, "end": 710246}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/018.level", "start": 710246, "end": 710955}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/028.level", "start": 710955, "end": 711764}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/032.level", "start": 711764, "end": 712185}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/039.level", "start": 712185, "end": 712890}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/020.level", "start": 712890, "end": 713707}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/037.level", "start": 713707, "end": 714653}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/007.level", "start": 714653, "end": 715471}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/001.level", "start": 715471, "end": 716544}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/005.level", "start": 716544, "end": 717335}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/022.level", "start": 717335, "end": 718055}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/levelinfo.conf", "start": 718055, "end": 718366}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/016.level", "start": 718366, "end": 719240}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/042.level", "start": 719240, "end": 725662}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/006.level", "start": 725662, "end": 726583}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/009.level", "start": 726583, "end": 727341}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/026.level", "start": 727341, "end": 728088}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/017.level", "start": 728088, "end": 728874}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/011.level", "start": 728874, "end": 729622}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/004.tape", "start": 729622, "end": 729987}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/013.tape", "start": 729987, "end": 730298}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/016.tape", "start": 730298, "end": 730579}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/027.tape", "start": 730579, "end": 731066}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/040.tape", "start": 731066, "end": 731495}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/014.tape", "start": 731495, "end": 731694}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/006.tape", "start": 731694, "end": 731883}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/007.tape", "start": 731883, "end": 732192}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/002.tape", "start": 732192, "end": 732395}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/011.tape", "start": 732395, "end": 732678}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/038.tape", "start": 732678, "end": 733073}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/020.tape", "start": 733073, "end": 733344}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/021.tape", "start": 733344, "end": 733825}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/024.tape", "start": 733825, "end": 734172}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/009.tape", "start": 734172, "end": 734297}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/003.tape", "start": 734297, "end": 734462}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/031.tape", "start": 734462, "end": 735013}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/018.tape", "start": 735013, "end": 735360}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/023.tape", "start": 735360, "end": 735495}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/015.tape", "start": 735495, "end": 735782}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/032.tape", "start": 735782, "end": 736585}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/030.tape", "start": 736585, "end": 737016}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/010.tape", "start": 737016, "end": 737293}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/026.tape", "start": 737293, "end": 737482}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/025.tape", "start": 737482, "end": 738023}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/028.tape", "start": 738023, "end": 739736}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/036.tape", "start": 739736, "end": 740001}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/012.tape", "start": 740001, "end": 740368}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/029.tape", "start": 740368, "end": 740919}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/019.tape", "start": 740919, "end": 741324}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/008.tape", "start": 741324, "end": 741699}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/001.tape", "start": 741699, "end": 741848}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/005.tape", "start": 741848, "end": 742129}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/022.tape", "start": 742129, "end": 742586}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/039.tape", "start": 742586, "end": 743245}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/017.tape", "start": 743245, "end": 743778}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/035.tape", "start": 743778, "end": 744275}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/034.tape", "start": 744275, "end": 744838}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/037.tape", "start": 744838, "end": 745173}, {"filename": "/levels/Tutorials/rnd_tutorial_niko_boehm/tapes/033.tape", "start": 745173, "end": 745506}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/023.level", "start": 745506, "end": 747484}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/015.level", "start": 747484, "end": 748544}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/008.level", "start": 748544, "end": 750708}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/019.level", "start": 750708, "end": 752551}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/010.level", "start": 752551, "end": 753527}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/003.level", "start": 753527, "end": 753970}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/024.level", "start": 753970, "end": 756662}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/021.level", "start": 756662, "end": 759824}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/025.level", "start": 759824, "end": 760989}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/012.level", "start": 760989, "end": 764019}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/014.level", "start": 764019, "end": 766734}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/004.level.orig", "start": 766734, "end": 767702}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/004.level", "start": 767702, "end": 768670}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/013.level", "start": 768670, "end": 770719}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/002.level", "start": 770719, "end": 771290}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/001.level.orig", "start": 771290, "end": 773352}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/016.level.orig", "start": 773352, "end": 777812}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/018.level", "start": 777812, "end": 778688}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/020.level", "start": 778688, "end": 781031}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/007.level", "start": 781031, "end": 782890}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/001.level", "start": 782890, "end": 784959}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/005.level", "start": 784959, "end": 786115}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/022.level", "start": 786115, "end": 788806}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/levelinfo.conf", "start": 788806, "end": 789101}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/005.level.orig", "start": 789101, "end": 790257}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/016.level", "start": 790257, "end": 794717}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/006.level", "start": 794717, "end": 796105}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/009.level", "start": 796105, "end": 796501}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/026.level", "start": 796501, "end": 799803}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/017.level", "start": 799803, "end": 801855}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/011.level", "start": 801855, "end": 802389}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/004.tape", "start": 802389, "end": 802736}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/013.tape", "start": 802736, "end": 803421}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/016.tape", "start": 803421, "end": 804456}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/014.tape", "start": 804456, "end": 804723}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/006.tape", "start": 804723, "end": 805258}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/007.tape", "start": 805258, "end": 805745}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/002.tape", "start": 805745, "end": 806030}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/011.tape", "start": 806030, "end": 806317}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/020.tape", "start": 806317, "end": 807506}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/021.tape", "start": 807506, "end": 808039}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/024.tape", "start": 808039, "end": 808498}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/009.tape", "start": 808498, "end": 808653}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/003.tape", "start": 808653, "end": 809160}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/018.tape", "start": 809160, "end": 809371}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/023.tape", "start": 809371, "end": 810090}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/015.tape", "start": 810090, "end": 810541}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/016.tape.orig", "start": 810541, "end": 811510}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/010.tape", "start": 811510, "end": 811887}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/026.tape", "start": 811887, "end": 812286}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/025.tape", "start": 812286, "end": 812645}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/012.tape", "start": 812645, "end": 813918}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/019.tape", "start": 813918, "end": 814327}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/008.tape", "start": 814327, "end": 814704}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/001.tape", "start": 814704, "end": 815343}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/005.tape", "start": 815343, "end": 815630}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/022.tape", "start": 815630, "end": 816203}, {"filename": "/levels/Tutorials/rnd_tutorial_aaron_davidson/tapes/017.tape", "start": 816203, "end": 816980}, {"filename": "/graphics/Makefile", "start": 816980, "end": 818023}, {"filename": "/graphics/gfx_classic/RocksDoor2.png", "start": 818023, "end": 819425}, {"filename": "/graphics/gfx_classic/RocksFontSmall.png", "start": 819425, "end": 826076}, {"filename": "/graphics/gfx_classic/RocksCollect.png", "start": 826076, "end": 937025}, {"filename": "/graphics/gfx_classic/RocksDF.png", "start": 937025, "end": 953007}, {"filename": "/graphics/gfx_classic/RocksFontDC.png", "start": 953007, "end": 961057}, {"filename": "/graphics/gfx_classic/RocksFontEM.png", "start": 961057, "end": 971492}, {"filename": "/graphics/gfx_classic/RocksDC2.png", "start": 971492, "end": 980561}, {"filename": "/graphics/gfx_classic/RocksFontBig.png", "start": 980561, "end": 1006656}, {"filename": "/graphics/gfx_classic/RocksDoorMM.png", "start": 1006656, "end": 1007601}, {"filename": "/graphics/gfx_classic/RocksElements.png", "start": 1007601, "end": 1044398}, {"filename": "/graphics/gfx_classic/RocksMM.png", "start": 1044398, "end": 1064701}, {"filename": "/graphics/gfx_classic/RocksCE.png", "start": 1064701, "end": 1081455}, {"filename": "/graphics/gfx_classic/RocksScreen.png", "start": 1081455, "end": 1086836}, {"filename": "/graphics/gfx_classic/RocksToons.png", "start": 1086836, "end": 1096459}, {"filename": "/graphics/gfx_classic/graphicsinfo.conf", "start": 1096459, "end": 1096561}, {"filename": "/graphics/gfx_classic/Makefile", "start": 1096561, "end": 1098477}, {"filename": "/graphics/gfx_classic/RocksBusy.png", "start": 1098477, "end": 1100581}, {"filename": "/graphics/gfx_classic/RocksTouch.png", "start": 1100581, "end": 1103507}, {"filename": "/graphics/gfx_classic/RocksHeroes.png", "start": 1103507, "end": 1130854}, {"filename": "/graphics/gfx_classic/RocksDoor.png", "start": 1130854, "end": 1150676}, {"filename": "/graphics/gfx_classic/RocksMore.png", "start": 1150676, "end": 1163981}, {"filename": "/graphics/gfx_classic/RocksDC.png", "start": 1163981, "end": 1198193}, {"filename": "/graphics/gfx_classic/RocksSP.png", "start": 1198193, "end": 1233094}, {"filename": "/graphics/gfx_classic/RocksFontMedium.png", "start": 1233094, "end": 1253103}, {"filename": "/graphics/gfx_classic/RocksEMC.png", "start": 1253103, "end": 1272191}, {"filename": "/graphics/gfx_classic/joystick/controller.png", "start": 1272191, "end": 1331162}, {"filename": "/graphics/gfx_classic/joystick/button.png", "start": 1331162, "end": 1333559}, {"filename": "/graphics/gfx_classic/joystick/axis_x.png", "start": 1333559, "end": 1335786}, {"filename": "/graphics/gfx_classic/joystick/axis_y.png", "start": 1335786, "end": 1338055}, {"filename": "/graphics/gfx_classic/icons/icon.png", "start": 1338055, "end": 1344793}, {"filename": "/sounds/snd_classic/base.wav", "start": 1344793, "end": 1344904, "audio": 1}, {"filename": "/sounds/snd_classic/warnton.wav", "start": 1344904, "end": 1347362, "audio": 1}, {"filename": "/sounds/snd_classic/kabumm.wav", "start": 1347362, "end": 1352742, "audio": 1}, {"filename": "/sounds/snd_classic/gong.wav", "start": 1352742, "end": 1361038, "audio": 1}, {"filename": "/sounds/snd_classic/roehr.wav", "start": 1361038, "end": 1371932, "audio": 1}, {"filename": "/sounds/snd_classic/lachen.wav", "start": 1371932, "end": 1426754, "audio": 1}, {"filename": "/sounds/snd_classic/holz.wav", "start": 1426754, "end": 1428060, "audio": 1}, {"filename": "/sounds/snd_classic/knurk.wav", "start": 1428060, "end": 1429816, "audio": 1}, {"filename": "/sounds/snd_classic/zonkdown.wav", "start": 1429816, "end": 1434967, "audio": 1}, {"filename": "/sounds/snd_classic/oeffnen.wav", "start": 1434967, "end": 1474617, "audio": 1}, {"filename": "/sounds/snd_classic/klumpf.wav", "start": 1474617, "end": 1479081, "audio": 1}, {"filename": "/sounds/snd_classic/miep.wav", "start": 1479081, "end": 1480837, "audio": 1}, {"filename": "/sounds/snd_classic/amoebe.wav", "start": 1480837, "end": 1482561, "audio": 1}, {"filename": "/sounds/snd_classic/laser.wav", "start": 1482561, "end": 1486295, "audio": 1}, {"filename": "/sounds/snd_classic/zisch.wav", "start": 1486295, "end": 1502835, "audio": 1}, {"filename": "/sounds/snd_classic/pusch.wav", "start": 1502835, "end": 1511603, "audio": 1}, {"filename": "/sounds/snd_classic/blurb.wav", "start": 1511603, "end": 1513907, "audio": 1}, {"filename": "/sounds/snd_classic/schlurf.wav", "start": 1513907, "end": 1515663, "audio": 1}, {"filename": "/sounds/snd_classic/halloffame.wav", "start": 1515663, "end": 1734451, "audio": 1}, {"filename": "/sounds/snd_classic/klapper.wav", "start": 1734451, "end": 1739271, "audio": 1}, {"filename": "/sounds/snd_classic/hui.wav", "start": 1739271, "end": 1742041, "audio": 1}, {"filename": "/sounds/snd_classic/autsch.wav", "start": 1742041, "end": 1754677, "audio": 1}, {"filename": "/sounds/snd_classic/whoosh.wav", "start": 1754677, "end": 1761745, "audio": 1}, {"filename": "/sounds/snd_classic/kling.wav", "start": 1761745, "end": 1765997, "audio": 1}, {"filename": "/sounds/snd_classic/quiek.wav", "start": 1765997, "end": 1769775, "audio": 1}, {"filename": "/sounds/snd_classic/buing.wav", "start": 1769775, "end": 1778265, "audio": 1}, {"filename": "/sounds/snd_classic/sirr.wav", "start": 1778265, "end": 1779487, "audio": 1}, {"filename": "/sounds/snd_classic/bug.wav", "start": 1779487, "end": 1784157, "audio": 1}, {"filename": "/sounds/snd_classic/roaaar.wav", "start": 1784157, "end": 1799327, "audio": 1}, {"filename": "/sounds/snd_classic/njam.wav", "start": 1799327, "end": 1803009, "audio": 1}, {"filename": "/sounds/snd_classic/empty.wav", "start": 1803009, "end": 1803868, "audio": 1}, {"filename": "/sounds/snd_classic/quirk.wav", "start": 1803868, "end": 1809092, "audio": 1}, {"filename": "/sounds/snd_classic/exit.wav", "start": 1809092, "end": 1847415, "audio": 1}, {"filename": "/sounds/snd_classic/zonkpush.wav", "start": 1847415, "end": 1851749, "audio": 1}, {"filename": "/sounds/snd_classic/soundsinfo.conf", "start": 1851749, "end": 1851849}, {"filename": "/sounds/snd_classic/kink.wav", "start": 1851849, "end": 1854001, "audio": 1}, {"filename": "/sounds/snd_classic/slurp.wav", "start": 1854001, "end": 1869783, "audio": 1}, {"filename": "/sounds/snd_classic/gate.wav", "start": 1869783, "end": 1884317, "audio": 1}, {"filename": "/sounds/snd_classic/deng.wav", "start": 1884317, "end": 1889573, "audio": 1}, {"filename": "/sounds/snd_classic/booom.wav", "start": 1889573, "end": 1917778, "audio": 1}, {"filename": "/sounds/snd_classic/infotron.wav", "start": 1917778, "end": 1927484, "audio": 1}, {"filename": "/sounds/snd_classic/fuel.wav", "start": 1927484, "end": 1932792, "audio": 1}, {"filename": "/sounds/snd_classic/knack.wav", "start": 1932792, "end": 1934608, "audio": 1}, {"filename": "/sounds/snd_classic/bong.wav", "start": 1934608, "end": 1941464, "audio": 1}, {"filename": "/sounds/snd_classic/pling.wav", "start": 1941464, "end": 1946108, "audio": 1}, {"filename": "/sounds/snd_classic/pong.wav", "start": 1946108, "end": 1950396, "audio": 1}, {"filename": "/sounds/snd_classic/door.wav", "start": 1950396, "end": 1962134, "audio": 1}, {"filename": "/sounds/snd_classic/klopf.wav", "start": 1962134, "end": 1964054, "audio": 1}, {"filename": "/music/mus_classic/mod.apoplexy", "start": 1964054, "end": 2064840}, {"filename": "/music/mus_classic/musicinfo.conf", "start": 2064840, "end": 2064939}, {"filename": "/music/mus_classic/mod.chiptune", "start": 2064939, "end": 2092537}, {"filename": "/music/mus_classic/rhythmloop.wav", "start": 2092537, "end": 2174533, "audio": 1}, {"filename": "/music/mus_classic/mod.chiptune.txt", "start": 2174533, "end": 2174589}, {"filename": "/music/mus_classic/mod.cream_of_the_earth", "start": 2174589, "end": 2304971}, {"filename": "/music/mus_classic/mod.cream_of_the_earth.txt", "start": 2304971, "end": 2305047}, {"filename": "/music/mus_classic/mod.apoplexy.txt", "start": 2305047, "end": 2305105}], "remote_package_size": 2305105, "package_uuid": "8163a9af-e7ea-41ea-8a5f-b7b0d3d9e661"});

  })();
